<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Xarxaprod_theme
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
			the_title( '<h3 class="entry-title">', '</h3>' );

		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
			 <?php if ( in_category('faq') ){ 
        xarxaprod_display_each_faq_categories();
				//xarxaprod_display_faqs_labels();
				}	;?>

  <?php if ( in_category( array( 'agenda', 'agenda-es','activitats') ) ) : ?>
	<aside class="xarxaprod-agenda-info">
		<ul>
      <li>
        <dt>Data</dt>
				<dd><?php the_field('xxp_agenda_date_start'); ?> </dd>
      </li>
      <li>
        <dt>Lloc</dt>
				<dd>

<?php //output xxp_agenda_who who is doing the activity
      $fielditerate='xxp_agenda_who';
      $fields= get_field($fielditerate);
      if( $fields ):
      ?>
      <ul class="xarxaprod-label item-<?php echo $fielditerate ?>">
      <?php foreach( $fields as $field ): ?>
        <li>
           <?php echo $field['label']; ?>
			     <?php //echo '<a href="' . get_category_link( get_the_category()[0]->term_id ) . '?' . $fielditerate . '=' . $field['value'] . '">'; ?>
           </a>
        </li>
      <?php endforeach; ?>
      </ul>
<?php endif; // end list xxp_agena_who?>

			</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

        </dd>
      </li>
    </ul>
	</aside>
<?php endif; //end in_category agenda activitats ?>
	<div class="entry-content">
		<?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'xarxaprod' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'xarxaprod' ),
				'after'  => '</div>',
			)
		);
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php //xarxaprod_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
